<form action="auth-dialog_submit" method="get" accept-charset="utf-8">
  <h1 mat-dialog-title>{{ concern && concern !== '' ? concern : 'Login' }}</h1>
  <div mat-dialog-content>
    <mat-form-field>
      <input
        id="username"
        autocomplete="username"
        placeholder="Username"
        type="username"
        matInput
        [(ngModel)]="data.username"
        [ngModelOptions]="{ standalone: true }"
      />
    </mat-form-field>
  </div>
  <div mat-dialog-content>
    <mat-form-field>
      <input
        id="password"
        autocomplete="password"
        placeholder="Password"
        type="password"
        matInput
        [(ngModel)]="data.password"
        [ngModelOptions]="{ standalone: true }"
      />
    </mat-form-field>
  </div>
  <div id="login-failed" mat-dialog-content *ngIf="loginFailed">Login failed</div>
  <div mat-dialog-actions>
    <button
      id="btn-cancel"
      mat-button
      type="button"
      (click)="dialogRef.close(false)"
      [disabled]="waitingForResponse"
    >
      Cancel
    </button>
    <button
      id="btn-login"
      mat-button
      type="submit"
      (click)="clickedLogin()"
      color="primary"
      [disabled]="data.username.length === 0 || data.password.length === 0 || waitingForResponse"
    >
      Login
    </button>
  </div>
</form>
